Generate Video
curl --request POST \
--url https://{gatewayBaseURL}/videos-proxy/{providerAccountName}/{nativePath} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{gatewayBaseURL}/videos-proxy/{providerAccountName}/{nativePath}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{gatewayBaseURL}/videos-proxy/{providerAccountName}/{nativePath}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Video
Generate Video
Forward a provider-native video-generation request through the AI Gateway. The native path and request body are passed to Google Vertex AI, Google Gemini, or self-hosted ComfyUI without translation.
POST
/
videos-proxy
/
{providerAccountName}
/
{nativePath}
Generate Video
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Full TrueFoundry model name. Required when the native path does not identify the model, including ComfyUI requests.
Path Parameters
TrueFoundry provider account name.
Provider-native path suffix for the video request.
Body
application/json
Provider-native video-generation request body.
The body is of type object.
Response
Provider-native video response.
Was this page helpful?